Subject: bug#20237: Emacs built on Windows cannot figure out path correctly

From: Da Zhang <[email-masked]>
Date: Sat, 04 Apr 2015 14:06:02 -0400

Hi Eli,

Actually it does not work -- I removed elpy, and the problem still occurs.

The

(w32-shell-dos-semantics)

returns nil.

Can you please let me know how to use edebug to follow through python-shell-parse-command?

Thank you.

Da Zhang

On 4/4/2015 1:49 PM, Eli Zaretskii wrote:
>> Date: Sat, 04 Apr 2015 13:44:04 -0400
>> From: Da Zhang <[email-masked]>
>>
>> Thanks. I received a response from the author of Emacs w64, and followed his instructions (cited in blue font below) and the ipython shell from python-mode works.
> I'm glad it works for you, but I'd still like to know what does this
> display:
>
>    M-: (w32-shell-dos-semantics) RET
>